Release Notes For FwDIM v11r4:

Linked with:
    - DIM v12r1
    - PVSS 2.12.1 (PVSS 2.12 also available in the Zip)

Bug Fixes / Improvements:
    - Added the possibility of sending DYN_STRINGS out as DIM Services.
      dyn_strings are received by the DIM_Client as a sequence of characters
      with the strings separated by "null characters":'\0'.
      The DIM service size has to be used in order to get the full size of
      the character sequence (and in consequence ho many strings there are).

Release Notes For FwDIM v11r3:

Linked with:
    - DIM v12r1
    - PVSS 2.12.1 (PVSS 2.12 also available in the Zip)

Bug Fixes / Improvements:
    - Added the possibility of "viewing available RPCs" (panel and script
      library)
    - In the ApiManager:
      - The client RPCs where not set up properly (used DimInfo instead of 
        DimUpdatedInfo)
      - The DP structure of Client Commands (used direcly or by RPC calls) 
        is now checked against the DIM format declared by the server. For
        example carachter strings are padded (to n) if the format is "C:n;..."

Release Notes For FwDIM v11r2:

Linked with:
    - DIM v12r1
    - PVSS 2.12.1 (PVSS 2.12 also available in the Zip)

Bug Fixes / Improvements:
    - Four quality bits are now sent to PVSS. These bits and the invalid bit
      are now sent in one message instead of separate ones.
      The Quality bits are preserved when the connection to the DIM server
      is lost

Release Notes For FwDIM v11r1:

Linked with:
    - DIM v12r1
    - PVSS 2.12.1 (PVSS 2.12 also available in the Zip)

Bug Fixes / Improvements:
    - PVSS00dim is seen by PVSS as a "Device" instead of an "Api" manager
      This is to avoid the need for API licenses

Release Notes For FwDIM v10r1:

Linked with:
    - DIM v11r7
    - PVSS 2.12

Bug Fixes / Improvements:
    - Implemented DIM RPCs as server and as client
    - Allows the reception of doubles and arrays of doubles, they are
      converted/truncated into PVSS floats.

Release Notes For FwDIM v9r1:

Linked with:
    - DIM v10r1
    - PVSS 2.12

Bug Fixes / Improvements:
    - Services are now queued in PVSS00dim, i.e. if a server updates the 
      same service several times in a row no data is lost. Before there was 
      no queing and PVSS (the client) might not receive all the updates.
    - When PVSS00dim is started from the panel it no longer opens a
      separate DOS window (on windows)